Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		evince
Version:	2.28.1
Release:	1
BuildArch:	i686
Summary:	Document viewer
License:	GNU/GPL
Group:		Publishing
URL:		http://www.gnome.org
Source0: 	%{name}-%{version}.tar.bz2
Requires(pre):		GConf

Requires(post):		GConf
Requires(post):		scrollkeeper
Requires(post):		desktop-file-utils

Requires(preun):	GConf

Requires(postun):	scrollkeeper
Requires(postun):	desktop-file-utils

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gtk2+-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libspectre-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: nautilus-extensions
BuildRequires: openjpeg-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: poppler-devel
BuildRequires: poppler-glib-devel djvulibre-devel ghostscript-devel which libxml2-python desktop-file-utils
BuildRequires: zlib-devel gnome-doc-utils gnome-icon-theme nautilus-devel nautilus-extensions

%description
evince is a GNOME-based document viewer.

%package	devel
Summary:	Libraries and headers for evince
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Libraries and header files for evince backend development.

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
      		%{_sysconfdir}/gconf/schemas/evince.schemas \
      		%{_sysconfdir}/gconf/schemas/evince-thumbnailer.schemas \
		%{_sysconfdir}/gconf/schemas/evince-thumbnailer-comics.schemas \
			>/dev/null || :
fi

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/evince.schemas \
     	%{_sysconfdir}/gconf/schemas/evince-thumbnailer.schemas \
     	%{_sysconfdir}/gconf/schemas/evince-thumbnailer-ps.schemas \
	%{_sysconfdir}/gconf/schemas/evince-thumbnailer-comics.schemas \
		>/dev/null || :

update-desktop-database &> /dev/null ||:
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
      		%{_sysconfdir}/gconf/schemas/evince.schemas \
      		%{_sysconfdir}/gconf/schemas/evince-thumbnailer.schemas \
     		%{_sysconfdir}/gconf/schemas/evince-thumbnailer-ps.schemas \
		%{_sysconfdir}/gconf/schemas/evince-thumbnailer-comics.schemas \
			>/dev/null || :
fi

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null ||:
scrollkeeper-update -q || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi

%prep
%setup -q

%build
%configure \
--enable-comics=yes \
--enable-impress
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --delete-original --vendor="" \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --remove-category="Application" \
  $RPM_BUILD_ROOT%{_datadir}/applications/evince.desktop
 
%find_lang evince --with-gnome

unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
/bin/rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

# don't ship icon caches
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

# we don't have a -devel package, so we don't need backend api docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT

%files -f evince.lang
%defattr(-,root,root,-)
%doc README COPYING NEWS AUTHORS 
%_bindir
%_libdir/nautilus/extensions-2.0/libevince-properties-page.so
%_datadir/%{name}
%_applications/%{name}.desktop
%_sysconfdir/gconf/schemas
%_datadir/icons
%_mandir
%_libdir/libev*.so.*
%_libdir/evince/1/backends/*.so
%_libdir/evince/1/backends/*.evince-backend

%files devel
%_includedir
%_libdir/libev*.so
%_libdir/evince/1/backends/*.a
%_libdir/evince/1/backends/*.la
%_libdir/*.a
%_libdir/*.la
%_libdir/nautilus/extensions-2.0/*.a
%_libdir/nautilus/extensions-2.0/*.la
%_pkgconfig

%changelog
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-1
- Version update
* Tue Mar 31 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-1
- Version update
* Mon Apr 21 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-2
- rebuild against poppler 0.8.0
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Tue Mar 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.0-1
- Version update
* Tue Jan 16 2007 Christian Metzen <metzench@ccux-linux.de> 0.7.1-1
- Version update
* Fri Nov 17 2006 Christian Metzen <metzench@ccux-linux.de> 0.6.1-1
- Initial release